using Newtonsoft.Json;

namespace FitConnect.Models;

public class Metadata : Api.Metadata.Metadata {
    public const string SchemaUrl =
        "https://schema.fitko.de/fit-connect/metadata/1.0.0/metadata.schema.json";

    public const string SchemaPattern =
        "https://schema.fitko.de/fit-connect/metadata/1.[0-9]{1,}.[0-9]{1,}/metadata.schema.json";
}

public class Data {
    public static Data? FromString(string data) {
        return JsonConvert.DeserializeObject<Data>(data);
    }
}
